View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16212Bug reportsFile managerpublic2020-12-28 12:24
Reporterigbref Assigned Tocdorin  
PrioritynormalSeveritycrash 
Status closedResolutionfixed 
Product Version4.2.1 
Summary16212: FileManager is not working - Permission Error
DescriptionThe filemanager (Settings -> File Manager) does not work properly. It only shows the error

An error has occured and the file list could not be loaded: Error: You don't have permission to this folder

and no files. However, one can upload files via "Upload" button, which are then show on the server logged in by FTP, but not on the FileManager. Already changed the permissions as stated in https://manual.limesurvey.org/Installation_security_hints.
Steps To ReproduceInstall LimeSurvey on hosted environment.
Click on "Settings => File Manager"
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.2.1+200428
I will donate to the project if issue is resolvedNo
BrowserEdge / Chrome / Firefox
Database type & versionmysqlnd 5.0.12-dev
Server OS (if known)
Webserver software & version (if known)Linux 4.15.0-96
PHP Version7.1.33-nmm1

Relationships

child of 16291 closedollehar Development  Revert file manager to LS3 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

igbref

igbref

2020-04-30 13:01

reporter  

Unbenannt.JPG (61,564 bytes)   
Unbenannt.JPG (61,564 bytes)   
ollehar

ollehar

2020-04-30 13:49

administrator   ~57493

Idea: Restore file manager from LS3, and offer the new file manager as a beta feature.
cdorin

cdorin

2020-12-28 12:24

manager   ~61205

We reverted File Manager/Resources -> now 4.4.0 RC1 uses the same system as in LS3

Issue History

Date Modified Username Field Change
2020-04-30 13:01 igbref New Issue
2020-04-30 13:01 igbref File Added: Unbenannt.JPG
2020-04-30 13:48 ollehar Priority none => normal
2020-04-30 13:48 ollehar Severity minor => crash
2020-04-30 13:48 ollehar Description Updated View Revisions
2020-04-30 13:48 ollehar Steps to Reproduce Updated View Revisions
2020-04-30 13:49 ollehar Note Added: 57493
2020-05-11 10:43 ollehar Category Installation => File manager
2020-05-18 16:28 ollehar Relationship added child of 16291
2020-12-28 12:24 cdorin Note Added: 61205
2020-12-28 12:24 cdorin Assigned To => cdorin
2020-12-28 12:24 cdorin Status new => closed
2020-12-28 12:24 cdorin Resolution open => fixed